/*
  MENU v 1.1;
  05/2023;
  João Diogo Pereira;
*/

.site-header{
    box-shadow: 0 0 12px 0 rgb(0 0 0 / 14%);
    -moz-box-shadow: 0 0 12px 0 rgb(0 0 0 / 14%);
    -webkit-box-shadow: 0 0 12px 0 rgb(0 0 0 / 14%);
}

.site-header .logo-header img {
    max-width: 180px; 
    height: auto;
}

.main-menu .navbar-collapse {
    padding: 0px;
}

.main-menu .navigation li {
    color:black;
}

.main-menu .navigation .navigation-lvlone{
    position:relative;
}

.main-menu .navigation .navigation-lvlone:hover,
.main-menu .navigation .current-menu-item {
    color: #57CC61;
}

.main-menu .navigation .submenu{
    position: absolute;
    left: 5px;
    top: 100%;
    min-width: 200px;
    z-index: 100;
    background: #FFFFFF;
    border-radius: 0 0 5px 5px;
    box-shadow: inset 0 0 0 10px #FFFFFF, 0 5px 15px -5px rgba(0,0,0,.2);
}

.main-menu .navigation li ul li {
    width: 100%;
    padding: 7px 20px;
    border-bottom: 1px solid #CCCCCC;
}

.main-menu .navigation li ul li:last-child {
    border-bottom: none;
}

.main-menu .navigation li ul li ul {
    left: 100%;
    top: 0%;
}

/*MOBILE*/

.menu-mobile{
    display: none;
}

#sidebarMenu {
    height: 100%;
    position: fixed;
    right: 0;
    width: 300px;
    transform: translateX(300px);
    transition: transform 300ms ease-in-out;
    background: linear-gradient(180deg, #FC466B 0%, #3F5EFB 100%);
    top: 0;
    overflow: auto;
    display: unset!important;
}

.sidebarMenuInner{
    margin:0;
    padding:0;
    border-top: 1px solid rgba(255, 255, 255, 0.10);
}

.sidebarMenuInner li{
    list-style: none;
    color: #fff;
    text-transform: uppercase;
    font-weight: bold;
    padding: 20px;
    cursor: pointer;
    border-bottom: 1px solid rgba(255, 255, 255, 0.10);
}

input.openSidebarMenu[type="checkbox"]:checked ~ #sidebarMenu {
    transform: translateX(0);
}

input.openSidebarMenu[type=checkbox] {
    transition: all 0.3s;
    box-sizing: border-box;
    display: none;
}

.sidebarIconToggle {
    transition: all 0.3s;
    box-sizing: border-box;
    cursor: pointer;
    position: absolute;
    z-index: 99;
    height: 100%;
    width: 100%;
    top: 22px;
    right: 15px;
    height: 15px;
    width: 22px;
}

.spinner {
    transition: all 0.3s;
    box-sizing: border-box;
    position: absolute;
    height: 3px;
    width: 100%;
    background-color: #000;
}

.horizontal {
    transition: all 0.3s;
    box-sizing: border-box;
    position: relative;
    float: left;
    margin-top: 3px;
}

.diagonal.part-1 {
    position: relative;
    transition: all 0.3s;
    box-sizing: border-box;
    float: left;
}

.diagonal.part-2 {
    transition: all 0.3s;
    box-sizing: border-box;
    position: relative;
    float: left;
    margin-top: 3px;
}

input[type=checkbox]:checked ~ .sidebarIconToggle > .horizontal {
    transition: all 0.3s;
    box-sizing: border-box;
    opacity: 0;
}

input[type=checkbox]:checked ~ .sidebarIconToggle > .diagonal.part-1 {
    transition: all 0.3s;
    box-sizing: border-box;
    transform: rotate(135deg);
    margin-top: 8px;
}

input[type=checkbox]:checked ~ .sidebarIconToggle > .diagonal.part-2 {
    transition: all 0.3s;
    box-sizing: border-box;
    transform: rotate(-135deg);
    margin-top: -9px;
}


@media only screen and (max-width: 992px){
    .menu-mobile{
        display: block;
    }
}